package cn.com.qmth.examcloud.starters.face.verify.model;

import java.io.Serializable;

/**
 * 人脸相关接口（通用）响应结果
 */
public class FaceResult implements Serializable {

    private static final long serialVersionUID = -6981807543872661368L;

    /**
     * 接口是否请求成功
     */
    private boolean apiSuccess;

    /**
     * 人脸是否通过
     */
    private boolean pass;

    /**
     * 分值
     */
    private double score;

    /**
     * 人脸数
     */
    private int faceNum;

    /**
     * 人脸接口响应信息
     */
    private String jsonResult;

    /**
     * 错误信息
     */
    private String error;

    /**
     * 是否存在陌生人
     */
    public boolean hasStranger() {
        return faceNum > 1;
    }

    public boolean isPass() {
        return pass;
    }

    public void setPass(boolean pass) {
        this.pass = pass;
    }

    public boolean isApiSuccess() {
        return apiSuccess;
    }

    public void setApiSuccess(boolean apiSuccess) {
        this.apiSuccess = apiSuccess;
    }

    public double getScore() {
        return score;
    }

    public void setScore(double score) {
        this.score = score;
    }

    public int getFaceNum() {
        return faceNum;
    }

    public void setFaceNum(int faceNum) {
        this.faceNum = faceNum;
    }

    public String getJsonResult() {
        return jsonResult;
    }

    public void setJsonResult(String jsonResult) {
        this.jsonResult = jsonResult;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }

}
